# Scaling Laws for Imitation Learning in Single-Agent Games

Implementation for the Atari results of the paper "Scaling Laws for Imitation Learning in Single-Agent Games", currently under review at ICLR 2024. We also plan to release the NetHack forecasted model weights below.

## NetHack Forecasted Model Weights
Please download the model weights for our forecasted NetHack experiment from the following link: coming soon!

## Installation
Clone the repository and run the following command in the root directory:
```
pip install -e .
```

## Training
1. To train a Atari expert model with PPO, run the following command:
```
sh scripts/train_rl.slurm [SEED] [GAME]
```
where `[SEED]` is the random seed and `[GAME]` is the name of the Atari game.

2. To train an Atari BC learner, run the following command:
```
sh scripts/train_il.slurm [SEED] [SCALE] [GAME]
```
where `[SEED]` is the random seed, `[SCALE]` is the scaling factor, and `[GAME]` is the name of the Atari game.
